diff --git a/src/include/utils/partcache.h b/src/include/utils/partcache.h
index 873c60fafd..2939032f0a 100644
--- a/src/include/utils/partcache.h
+++ b/src/include/utils/partcache.h
@@ -26,9 +26,9 @@ typedef struct PartitionKeyData
 	char		strategy;		/* partitioning strategy */
 	int16		partnatts;		/* number of columns in the partition key */
 	AttrNumber *partattrs;		/* attribute numbers of columns in the
-								 * partition key */
+								 * partition key or 0 if it's an expr */
 	List	   *partexprs;		/* list of expressions in the partitioning
-								 * key, or NIL */
+								 * key, one for each zero-valued partattrs */
 
 	Oid		   *partopfamily;	/* OIDs of operator families */
 	Oid		   *partopcintype;	/* OIDs of opclass declared input data types */
